# Uses of Class
org.eclipse.jdt.core.dom.rewrite.TargetSourceRangeComputer

Packages that use TargetSourceRangeComputer
Package
Description
org.eclipse.jdt.core.dom.rewrite
The Java DOM/AST rewrite is the set of classes that are used to make changes to an existing DOM/AST tree.

## Uses of TargetSourceRangeComputer in org.eclipse.jdt.core.dom.rewrite

Methods in org.eclipse.jdt.core.dom.rewrite that return TargetSourceRangeComputer
Modifier and Type
Method
Description
`final TargetSourceRangeComputer`
ASTRewrite.`getExtendedSourceRangeComputer()`
Returns the extended source range computer for this AST rewriter.
Methods in org.eclipse.jdt.core.dom.rewrite with parameters of type TargetSourceRangeComputer
Modifier and Type
Method
Description
`final void`
ASTRewrite.`setTargetSourceRangeComputer(TargetSourceRangeComputer computer)`
Sets a custom target source range computer for this AST rewriter.